Bug 168630 - Review Request: man-apropos2
Review Request: man-apropos2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Grau
David Lawrence
http://georgeanelson.com/apropos2.htm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-18 12:49 EDT by Tony Nelson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 12:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Nelson 2005-09-18 12:49:28 EDT
Spec Name or Url: georgeanelson.com/man-apropos2.spec
SRPM Name or Url: georgeanelson.com/man-apropos2-1.0.1-2.src.rpm
Description:
Replacement for apropos (man package) that prints only entries containing all
the words being searched for.  The original apropos prints all lines that
match the first word, then all lines that match the second word, and so on. 
Apropos2 is equivalent to "apropos word1 | grep word2 | ... | grep wordn".

This is my first package, so I need a sponsor.  Chris Grau has offered to sponsor me.

I am the author of apropos2, which is derived from apropos.  I have contacted the man maintainer, Federico Lucifredi; he says apropos2 looks interesting, but that he is rather busy now.  He is also concerned about changing the behavior of apropos, so apropos2 might be added to man instead of replacing apropos.  Feedback from users of apropos2 (and apropos) would help with making that decision.
Comment 1 Chris Grau 2005-09-18 14:24:43 EDT
Review:

$ rpmlint man-apropos2-1.0.1-2.noarch.rpm
E: man-apropos2 script-without-shellbang /etc/profile.d/apropos2.csh
E: man-apropos2 script-without-shellbang /etc/profile.d/apropos2.sh

I don't see a problem here.  I checked a couple other scripts in /etc/profile.d
and they don't have shellbangs either.  This makes sense, given how these files
are sourced.

* Package name looks good.
* Spec file name looks good.
* Program is GPL, license file included in package.
* Spec file is in Am. English and legible.
* Source matches upstream (MD5: b19eee1d9211bed0fb67d8d8c74d1c3d).
* Package builds on FC-4 x86, and in mock on FC-3 x86.
* No locales or shared libs.
* Package is not relocatable.
* %files section is good, file permissions are good.
* %clean section is good (I've never seen --preserve-root used in a spec file,
but that isn't a problem in my opinion).
* Consistent use of macros.

The package looks good to me.  Once the appropriate sponsorship requirements
have been met, I'll consider it approved.  Any volunteers to sponsor Tony?

I'll be away until Tuesday night (2005-09-20, US Pacific TZ), so that should
give enough time to deal with sponsorship and for anyone else to voice their
concerns.
Comment 2 Paul Howarth 2005-09-19 11:12:22 EDT
The Fedora Extras Review checklist
(http://fedoraproject.org/wiki/PackageReviewGuidelines) currently requires that
the buildroot is unconditionally removed in %clean; as Michael said on
fedora-extras-list, there's no real value in using --preserve-root, so I'd
dispense with it.

I'm happy enough with this package (having reviewed earlier on fedora-list) to
approve it, but it would be nice to see Tony active on fedora-extras-list
reviewing packages (see
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1
for a list of packages waiting to be reviewed). At the moment there seem to be
far more maintainers than reviewers, and that's not sustainable. Getting
involved as a reviewer would certainly help Tony find a sponsor.
Comment 3 Tony Nelson 2005-09-23 11:21:42 EDT
I need a sponsor before this can proceed.  I had misunderstood Chris Grau; he
can't sponsor me.  Possibly (if I understand the process) the bug should not be
assigned to Chris at the moment.

As for becoming a reviewer, well, I'm not sure I'm ready, but I've seen some
packages I could take a stab at.  I don't really know how one becomes a reviewer
and what the qualifications are -- after reading
<http://fedoraproject.org/wiki/PackageReviewGuidelines#head-21f847edc59454de8ed53e3a593a2caf9697ee29>
it seems that anyone is allowed?
Comment 4 Tony Nelson 2005-09-26 12:32:06 EDT
I just read the CLA and I can not agree to it.  I don't understand it, but it
certainly seems to require me to grant rights I do not have in the work.  I
withdraw my submission.  I no longer need sponsorship.

Note You need to log in before you can comment on or make changes to this bug.